| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::component_interaction Struct Reference

A button click for a button component. More...

`#include <appcommand.h>`

Collaboration diagram for dpp::component_interaction:
[legend]

## Public Attributes

uint8_t | component_type
| Component type (dpp::component_type).
std::string | custom_id
| Custom ID set when created.
std::vector< std::string > | values
| Possible values for a drop down list.

## Detailed Description

A button click for a button component.

## Member Data Documentation

## ◆ component_type

uint8_t dpp::component_interaction::component_type

Component type (dpp::component_type).

## ◆ custom_id

std::string dpp::component_interaction::custom_id

Custom ID set when created.

## ◆ values

std::vector<std::string> dpp::component_interaction::values

Possible values for a drop down list.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0